package de.stefandraegersoftware.sonar;

import java.io.Serializable;
import java.util.List;

import javax.annotation.PostConstruct;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;

import de.stefandraegersoftware.wsserver.sonar.SonarService;
import de.stefandraegersoftware.wsserver.sonar.SonarServiceService;
import de.stefandraegersoftware.wsserver.sonar.SonarValue;

@ManagedBean
@SessionScoped
public class SonarServiceClient implements Serializable {

	private static final long serialVersionUID = 1L;

	private SonarServiceService sonar;
	private SonarService sonarService;

	private List<SonarValue> sonarValues;

	@PostConstruct
	private void init() {
		this.sonar = new SonarServiceService();
		this.sonarService = sonar.getSonarServicePort();
		this.sonarValues = sonarService.getSonarValues();
	}

	public String readValues() {
		this.sonarValues = sonarService.getSonarValues();
		return SonarStatics.EMPTY;
	}
	
	public SonarValue getSonarValueByDegree(int degree){
		SonarValue sonarValue = null;
		sonarValue = sonarService.getSonarValueByIndex(degree);		
		return sonarValue;
	}
}
