package de.stefandraegersoftware.wsServer.sonar;

import de.stefandraegersoftware.wsServer.arduino.SerialCommunication;

/**
 * Klasse SonarReader, ist ein Thread und dient zum erstellen der Klasse
 * {@link SerialCommunication}. Dieser Thread kann mit der Methode
 * {@link SonarReader#setInterruptThread(boolean)} abgebrochen werden. Beim
 * Abbruch des Threads wird der eventuell geffnete Port geschlossen.
 * 
 * @author Stefan Draeger
 *
 */
public class SonarReader implements Runnable {

	/**
	 * Membervariable zum speichern des Zustandes ob der Thread ausgefhrt
	 * werden soll.
	 **/
	private boolean interruptThread = false;

	private SonarService sonarService;
	
	/** SerialCommunication Objekt **/
	private SerialCommunication serialCommunication;

	public SonarReader(SonarService sonarService) {
		this.sonarService = sonarService;
		init();
	}

	private void init() {
		this.serialCommunication = new SerialCommunication(this.sonarService);
		this.serialCommunication.initialize();
	}

	public void run() {
		while (!isInterruptThread()) {

		}
		this.serialCommunication.close();
	}

	public boolean isInterruptThread() {
		return interruptThread;
	}

	public void setInterruptThread(boolean interruptThread) {
		this.interruptThread = interruptThread;
	}
}
